[arch-commits] Commit in swt/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Thu Apr 30 10:48:39 EDT 2009


    Date: Thursday, April 30, 2009 @ 10:48:39
  Author: jgc
Revision: 37087

upgpkg: swt 3.4-1
    Update to 3.4, build with openjdk6, depend on java-runtime=6, add dependencies on GTK, make other bindings optdepends

Modified:
  swt/trunk/PKGBUILD

----------+
 PKGBUILD |   25 ++++++++++++-------------
 1 file changed, 12 insertions(+), 13 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-30 12:48:18 UTC (rev 37086)
+++ PKGBUILD	2009-04-30 14:48:39 UTC (rev 37087)
@@ -1,28 +1,27 @@
 # $Id$
 # Maintainer: simo <simo at archlinux.org>
 pkgname=swt
-pkgver=3.3.2
+pkgver=3.4
 pkgrel=1
 pkgdesc="An open source widget toolkit for Java"
 _date=200802211800
 arch=(i686 x86_64)
 url="http://www.eclipse.org/swt/"
 license=('EPL')
-depends=('java-runtime')
-makedepends=('java-gcj-compat' 'libxtst' 'mesa' 'libgnomeui' 'xulrunner>=1.9' 'unzip' 'pkgconfig' 'apache-ant')
+depends=('java-runtime>=6' 'gtk2>=2.16.1' 'libxtst')
+optdepends=('libgnomeui' 'xulrunner' 'mesa')
+makedepends=('openjdk6' 'libxtst' 'mesa' 'libgnomeui' 'xulrunner>=1.9' 'unzip' 'pkgconfig' 'apache-ant')
 if [ "${CARCH}" = "i686" ]; then
   source=(http://download.eclipse.org/eclipse/downloads/drops/R-${pkgver}-${_date}/swt-${pkgver}-gtk-linux-x86.zip
           build-swt.xml)
   noextract=(swt-${pkgver}-gtk-linux-x86.zip)
-  md5sums=('7c5019b624a7ef37376bc6039aefaae8'
-           'f5e548bc26a0f1f3c18131be76face40')
 fi
 if [ "${CARCH}" = "x86_64" ]; then
   source=(http://download.eclipse.org/eclipse/downloads/drops/R-${pkgver}-${_date}/swt-${pkgver}-gtk-linux-x86_64.zip
           build-swt.xml)
-  noextract=(swt-${pkgver}-gtk-linux-x86_64.zip)
-  md5sums=('12aca4fa7e66c5086a4fe9cf83956c4a'
+  md5sums=('d1caf792ac86f211edcd6f08501a4807'
            'f5e548bc26a0f1f3c18131be76face40')
+  noextract=(swt-${pkgver}-gtk-linux-x86_64.zip)
 fi
 
 build() {
@@ -40,12 +39,12 @@
   make -f make_linux.mak make_swt || return 1
   make -f make_linux.mak make_atk || return 1
   make -f make_linux.mak make_gnome || return 1
-  MOZILLA_INCLUDES="`pkg-config --cflags libxul`" \
-  MOZILLA_LIBS="`pkg-config --libs libxul` -Wl,-R/usr/lib/xulrunner-1.9" \
-    make -f make_linux.mak make_mozilla || return 1
-  XULRUNNER_INCLUDES="`pkg-config --cflags libxul`" \
-  XULRUNNER_LIBS="`pkg-config --libs libxul` -Wl,-R/usr/lib/xulrunner-1.9" \
-    make -f make_linux.mak make_xulrunner || return 1
+  export MOZILLA_INCLUDES="`pkg-config --cflags libxul`"
+  export MOZILLA_LIBS="-Wl,-R`pkg-config libxul --variable=libdir` `pkg-config libxul --libs`"
+  export XULRUNNER_INCLUDES="${MOZILLA_INCLUDES}"
+  export XULRUNNER_LIBS="${MOZILLA_LIBS}"
+  make -f make_linux.mak make_mozilla || return 1
+  make -f make_linux.mak make_xulrunner || return 1
 
   make -f make_linux.mak make_cairo || return 1
   make -f make_linux.mak make_glx || return 1



More information about the arch-commits mailing list